# Gimp.ValueArray.prototype.insert

    function insert(index: Number(gint), value: Any): Gimp.ValueArray {
        // Gjs wrapper for gimp_value_array_insert()
    }

Insert a copy of value at specified position into value_array. If value is null, an uninitialized value is inserted.

Since 2.10

index

  insertion position, must be &lt;= Gimp.ValueArray.prototype.length

value

  GObject.Value to copy into Gimp.ValueArray, or null

Returns

  the Gimp.ValueArray passed in as value_array